Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.insurability.protocol.v2
Class GetInsurabilityForPharmacistResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.ResponseType
          be.fgov.ehealth.insurability.protocol.v2.GetInsurabilityForPharmacistResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:01:22+02:00",
               comments="JAXB RI v2.2.11")
    public class GetInsurabilityForPharmacistResponse

extends ResponseType
implements Serializable

GetInsurabilityForPharmacistRequestType

Java class for GetInsurabilityForPharmacistResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInsurabilityForPharmacistResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="CommonOutput" type="{urn:be:fgov:ehealth:insurability:core:v2}CommonOutputType"/>
             <element name="RecordCommonOutput" type="{urn:be:fgov:ehealth:insurability:core:v2}RecordCommonOutputType"/>
             <element name="ReturnInfo" type="{urn:be:fgov:ehealth:insurability:core:v2}ReturnInfoType"/>
             <element name="InsurabilityResponse" type="{urn:be:fgov:ehealth:insurability:core:v2}InsurabilityForPharmacistResponseType"/>
             <element name="ExtendedInformation" type="{urn:be:fgov:ehealth:insurability:core:v2}SamlAttributeType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetInsurabilityForPharmacistResponse()`

Method Summary
`CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
`SamlAttributeType` | `getExtendedInformation()` Gets the value of the extendedInformation property.
`InsurabilityForPharmacistResponseType` | `getInsurabilityResponse()` Gets the value of the insurabilityResponse property.
`RecordCommonOutputType` | `getRecordCommonOutput()` Gets the value of the recordCommonOutput property.
`ReturnInfoType` | `getReturnInfo()` Gets the value of the returnInfo property.
`void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
`void` | `setExtendedInformation(SamlAttributeType value)` Sets the value of the extendedInformation property.
`void` | `setInsurabilityResponse(InsurabilityForPharmacistResponseType value)` Sets the value of the insurabilityResponse property.
`void` | `setRecordCommonOutput(RecordCommonOutputType value)` Sets the value of the recordCommonOutput property.
`void` | `setReturnInfo(ReturnInfoType value)` Sets the value of the returnInfo property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType
`getId, getStatus, setId, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetInsurabilityForPharmacistResponse

    public GetInsurabilityForPharmacistResponse()

Method Detail

### getCommonOutput

    public CommonOutputType getCommonOutput()

  Gets the value of the commonOutput property.

  Returns:
    possible object is `CommonOutputType`

### setCommonOutput

    public void setCommonOutput(CommonOutputType value)

  Sets the value of the commonOutput property.

  Parameters:
    `value` - allowed object is `CommonOutputType`

### getRecordCommonOutput

    public RecordCommonOutputType getRecordCommonOutput()

  Gets the value of the recordCommonOutput property.

  Returns:
    possible object is `RecordCommonOutputType`

### setRecordCommonOutput

    public void setRecordCommonOutput(RecordCommonOutputType value)

  Sets the value of the recordCommonOutput property.

  Parameters:
    `value` - allowed object is `RecordCommonOutputType`

### getReturnInfo

    public ReturnInfoType getReturnInfo()

  Gets the value of the returnInfo property.

  Returns:
    possible object is `ReturnInfoType`

### setReturnInfo

    public void setReturnInfo(ReturnInfoType value)

  Sets the value of the returnInfo property.

  Parameters:
    `value` - allowed object is `ReturnInfoType`

### getInsurabilityResponse

    public InsurabilityForPharmacistResponseType getInsurabilityResponse()

  Gets the value of the insurabilityResponse property.

  Returns:
    possible object is `InsurabilityForPharmacistResponseType`

### setInsurabilityResponse

    public void setInsurabilityResponse(InsurabilityForPharmacistResponseType value)

  Sets the value of the insurabilityResponse property.

  Parameters:
    `value` - allowed object is `InsurabilityForPharmacistResponseType`

### getExtendedInformation

    public SamlAttributeType getExtendedInformation()

  Gets the value of the extendedInformation property.

  Returns:
    possible object is `SamlAttributeType`

### setExtendedInformation

    public void setExtendedInformation(SamlAttributeType value)

  Sets the value of the extendedInformation property.

  Parameters:
    `value` - allowed object is `SamlAttributeType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.